Show / Hide Table of Contents

# Class InteractionMetrics<T>

A class to calculate the value for the metrics using the given bucket

##### Inheritance

System.Object
InteractionMetrics<T>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class InteractionMetrics<T>

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

| Improve this Doc View Source

#### InteractionMetrics(Int32[])

Creates new instance given a bucket of metrics

##### Declaration

    public InteractionMetrics(int[] metrics)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32[] | metrics |

### Properties

| Improve this Doc View Source

#### Metrics

The metrics bucket

##### Declaration

    public int[] Metrics { get; }

##### Property Value

Type | Description
--- | ---
System.Int32[] |

| Improve this Doc View Source

#### Quantile

Returns the quantile

##### Declaration

    public Dictionary<string, T> Quantile { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, T> |

### Methods

| Improve this Doc View Source

#### UpdateMetrics(Double, T, Func<String, T, T>)

Update metric value given new number

##### Declaration

    public void UpdateMetrics(double duration, T newValue, Func<string, T, T> updateValueFactory)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | duration |
T | newValue |
System.Func<System.String, T, T> | updateValueFactory |